---
title: Update a Web Analytics rule
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[RUM](https://developers.cloudflare.com/api/python/resources/rum)

[Rules](https://developers.cloudflare.com/api/python/resources/rum/subresources/rules)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update a Web Analytics rule

rum.rules.update(strrule\_id, RuleUpdateParams\*\*kwargs) -> [RUMRule](<https://developers.cloudflare.com/api/python/resources/rum#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)>)

PUT/accounts/{account\_id}/rum/v2/{ruleset\_id}/rule/{rule\_id}

Updates a rule in a Web Analytics ruleset.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20rum.rules%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

ruleset\_id: str

The Web Analytics ruleset identifier.

[Link to this property](<#(resource)%20rum.rules%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20ruleset_id%20%3E%20(schema)>)

rule\_id: str

The Web Analytics rule identifier.

[Link to this property](<#(resource)%20rum.rules%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20rule_id%20%3E%20(schema)>)

host: Optional\[str]

[Link to this property](<#(resource)%20rum.rules%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20host%20%3E%20(schema)>)

inclusive: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/rum/subresources/rules/methods/update#(resource)%20rum.rules%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20inclusive%20%3E%20(schema)>)]

Whether the rule includes or excludes traffic from being measured.

[Link to this property](<#(resource)%20rum.rules%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20inclusive%20%3E%20(schema)>)

is\_paused: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/rum/subresources/rules/methods/update#(resource)%20rum.rules%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20is_paused%20%3E%20(schema)>)]

Whether the rule is paused or not.

[Link to this property](<#(resource)%20rum.rules%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20is_paused%20%3E%20(schema)>)

paths: Optional\[Sequence\[str]]

[Link to this property](<#(resource)%20rum.rules%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20paths%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class RUMRule: …

</summary>

id: Optional\[str]

The Web Analytics rule identifier.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created: Optional\[datetime]

formatdate-time

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

host: Optional\[str]

The hostname the rule will be applied to.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20host">Link to this property</a>

inclusive: Optional\[bool]

Whether the rule includes or excludes traffic from being measured.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20inclusive">Link to this property</a>

is\_paused: Optional\[bool]

Whether the rule is paused or not.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20is_paused">Link to this property</a>

paths: Optional\[List\[str]]

The paths the rule will be applied to.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20paths">Link to this property</a>

priority: Optional\[float]

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20priority">Link to this property</a>

</details>

[Link to this property](<#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)>)

### Update a Web Analytics rule

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
rum_rule = client.rum.rules.update(
    rule_id="f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    ruleset_id="f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
)
print(rum_rule.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created": "2014-01-01T05:20:00.12345Z",
    "host": "example.com",
    "inclusive": true,
    "is_paused": false,
    "paths": [
      "*"
    ],
    "priority": 1000
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created": "2014-01-01T05:20:00.12345Z",
    "host": "example.com",
    "inclusive": true,
    "is_paused": false,
    "paths": [
      "*"
    ],
    "priority": 1000
  }
}
```